from autoPhrase import *

#Transitive set.
thingSimp('TRANS','1','transitive set','')

#Epsilon connected.
adj('ECONN','1','#0','$\\epsilon$-connected','')

#Ordinal.
thingSimp('ORD','1','ordinal','')

#Epsilon connected subset?
func('Eps','1','','the $\\epsilon$-connected subset of #0')

#less-than for ordinals
infixRelnPrep('<_{O}','<','less than')

#less-than or equal to, for ordinals
infixRelnPrep('\\leq_{O}','\\leq','less than or equal to')

#greater than
infixRelnPrep('>_{O}','>','greater than')

#greater-than or equal to, for ordinals
infixRelnPrep('\\geq_{O}','\\geq','greater than or equal to')

#Successor.
func('Suc','1','','the successor of #0')

#Natural number.
thingSimp('NAT','1','natural number','')

#Set of natural numbers.
func('\\omega','0','$\\omega$','the set of natural numbers')

#Another name for the set of natural numbers.
func('\\mathbb{N}','0','$\\mathbb{N}$','the set of natural numbers')

#0
func('0_{N}','0','0','zero')

#1
func('1_{N}','0','1','one')

#2
func('2_{N}','0','2','two')

#3
func('3_{N}','0','3','three')

#4
func('4_{N}','0','4','four')

#5
func('5_{N}','0','5','five')

#6
func('6_{N}','0','6','six')

#7
func('7_{N}','0','7','seven')

#8
func('8_{N}','0','8','eight')

#9
func('9_{N}','0','9','nine')

#10
func('10_{N}','0','10','ten')

#graph of +
func('Addnat','0','',
  'the graph of $+$'
)

#+
infixFunc('+_{N}','$+$','plus')

#graph of *
func('Mulnat','0','',
  'the graph of $\\times$'
)

#*
infixFunc('\\cdot_{N}','$\\times$','times')

#graph of ^
func('Expnat','0','',
  'the graph of exponentiation'
)

#^
verbatim(
r"""Exp_{N}:infix@
  symb:$#^0^{#^1}$@
  word:#0 to the power of #1@@
""")

#Infinite.
adj('INF','1','#0','infinite','')

#Denumerable.
adj('DEN','1','#0','denumerable','')

#Another infinite.
adj('DINF','1','#0','infinite','')

#Countable.
adj('CNTBL','1','#0','countable','')

#Uncountable.
adj('UNCNTBL','1','#0','uncountable','')




























