from autoPhrase import *

#division
infixFunc('/','$/$','divided by')

#set of fractions
func('Fr','0','','the set of positive fractions')

#equals thereon
infixRelnPrep('\\equiv_{Fr}','\\equiv','equivalent to')

#<
infixRelnPrep('<_{Fr}','<','less than')

#>
infixRelnPrep('>_{Fr}','>','greater than')

#leq
infixRelnPrep('\\leq_{Fr}','\\leq','less than or equal to')

#geq
infixRelnPrep('\\geq_{Fr}','\\geq','greater than or equal to')

#+
infixFunc('+_{Fr}','$+$','#0 plus #1')

#*
infixFunc('\\cdot_{Fr}','$\\times$','#0 times #1')

#Nra
func('Nra','0','','the set Nra') #What is this?

#an inclusion function
func('Incl_{FrNra}','1','#0','#0')

#On Nra...
#<
infixRelnPrep('<_{Nra}','<','less than')

#>
infixRelnPrep('>_{Nra}','>','greater than')

#leq
infixRelnPrep('\\leq_{Nra}','\\leq','less than or equal to')

#geq
infixRelnPrep('\\geq_{Nra}','\\geq','greater than or equal to')

#+
infixFunc('+_{Nra}','$+$','#0 plus #1')

#*
infixFunc('\\cdot_{Nra}','$\\times$','#0 times #1')

#0
func('0_{Nra}','0','$0$','$0$')

#1
func('1_{Nra}','0','$1$','$1$')

#SUB...

#equiv thereon
infixRelnPrep('\\equiv_{SUB}','\\equiv','equivalent to')

#<
infixRelnPrep('<_{SUB}','<','less than')

#+
infixFunc('+_{SUB}','$+$','#0 plus #1')

#*
infixFunc('\\cdot_{SUB}','$\\times$','#0 times #1')

#Ra...

#the set
func('Ra','0','$\\mathbb{Q}$','the set of rationals')

#inclusion
func('Incl_{NraRa}','1','#0','#0')

#inclusion
func('Incl_{FrRa}','1','#0','#0')

#another name
func('\\mathbb{Q}','0','$\\mathbb{Q}$','the set of rationals')

#<
infixRelnPrep('<_{Ra}','<','less than')

#>
infixRelnPrep('>_{Ra}','>','greater than')

#leq
infixRelnPrep('\\leq_{Ra}','\\leq','less than or equal to')

#geq
infixRelnPrep('\\geq_{Ra}','\\geq','greater than or equal to')

#+
infixFunc('+_{Ra}','$+$','#0 plus #1')

#*
infixFunc('\\cdot_{Ra}','$\\times$','#0 times #1')

#0
func('0_{Ra}','0','$0$','$0$')

#1
func('1_{Ra}','0','$1$','$1$')

#minus
infixFunc('-_{Ra}','$-$','#0 minus #1')

#absolute value
func('Av_{Ra}','1','$\\left|#^0\\right|$','the absolute value of #0')

#subset of natural numbers
func('Nat_{Ra}','0','$\\mathbb{N}$','the natural numbers')

#another name for it
func('\\mathbb{N}_{Ra}','0','$\\mathbb{N}$','the natural numbers')

#subset of integers
func('Int_{Ra}','0','$\\mathbb{Z}$','the integers')

#another name for it
func('\\mathbb{Z}_{Ra}','0','$\\mathbb{Z}$','the integers')

#set of sequences of rationals
func('Seq_{Ra}','0','','the set of all sequences of rational numbers')

#+ thereon
infixFunc('+_{SeqRa}','$+$','#0 plus #1')

#* thereon
infixFunc('\\cdot_{SeqRa}','$\\times$','#0 times #1')

#Back to natural numbers for a moment ...
#<
infixRelnPrep('<_{N}','<','less than')

#>
infixRelnPrep('>_{N}','>','greater than')

#leq
infixRelnPrep('\\leq_{N}','\\leq','less than or equal to')

#geq
infixRelnPrep('\\geq_{N}','\\geq','greater than or equal to')

#Cauchy sequences...

#The set
func('Cseq_{Ra}','0','','the set of Cauchy sequences of rational numbers')

#equivalence
infixRelnPrep('\\equiv_{CseqRa}','\\equiv','equivalent to')

#<
infixRelnPrep('<_{CseqRa}','<','less than')

#The reals...

#the set
func('\\mathbb{R}','0','$\\mathbb{R}$','the set of reals')

#<
infixRelnPrep('<_{R}','<','less than')

#>
infixRelnPrep('>_{R}','>','greater than')

#leq
infixRelnPrep('\\leq_{R}','\\leq','less than or equal to')

#geq
infixRelnPrep('\\geq_{R}','\\geq','greater than or equal to')

#+
infixFunc('+_{R}','$+$','#0 plus #1')

#*
infixFunc('\\cdot_{R}','$\\times$','#0 times #1')

#0
func('0_{R}','0','$0$','$0$')

#1
func('1_{R}','0','$1$','$1$')

#minus
infixFunc('-_{R}','$-$','#0 minus #1')

#absolute value
func('Av_{R}','1','$\\left|#^0\\right|$','the absolute value of #0')

#identity function
func('Id_{R}','1','','the identity function on $\\mathbb{R}$')

#inclusion
func('Incl_{NraR}','1','#0','#0')

#inclusion
func('Incl_{FrR}','1','#0','#0')

#subset of rationals
func('Ra_{R}','0','$\\mathbb{Q}$','the rational numbers')

#the sequences
func('Seq_{R}','0','','the set of sequences of real numbers')

#the Cauchy sequences
func('Cseq_{R}','0','','the set of Cauchy sequences of real numbers')

#limit operator
func('Lim','1','$\lim #^0$','the limit of the sequence #0')

#upper bound
thingSimp('UB_{R}','2','upper bound','on #1')

#minimal element
func('Min_{R}','1','','the minimal element of #0')

#maximal element
func('Max_{R}','1','','the maximal element of #0')

#least upper bound
func('Lub_{R}','1','','the least upper bound of #0')

#graph of the finitesum function
func('Finitesumset_{R}','1','','the graph of the finite sum function')

#finitesum function
func('Finitesum_{R}','1',
  '$\\sum_{k\\in Dom(#^0)}#^0(k)$',
  'the sum over $k \in Dom(#^0)$ of $#^0(k)$'
)

#square root
func('Sqrt_{R}','1','$\sqrt{#^0}$','the square root of #0')

#supremum
func('Sup_{R}','1','$\sup #^0$','the supremum of #0')

#infemum
func('Inf_{R}','1','$\inf #^0$','the infemum of #0')

















