from autoPhrase import *

#Closed set
thingSimp('CLOSEDSET','3','closed set','in $(#^1,#^2)$')

#Interior
func('Interior','1','$#^0^\\circ$','the interior of #0')

#Closure
func('Closure','3','$\\overline{#^0}$',
  'the closure of #0 in $(#^1,#^2)$')

#Intersects
verbatim(
r"""INTERSECTS:2@
  symb:$#^0 \cap #^1 \neq \varnothing$@
  nsym:$#^0 \cap #^1 = \varnothing$@
  reln:#0 %e?intersects%ee? #1@
  negn:#0 does not intersect #1@
  plur:%#0% intersect #1@
  nplu:%#0% do not intersect #1@@
""")

#Disjoint
verbatim(
r"""DISJOINT:2@
  symb:$#^0 \cap #^1 = \varnothing$@
  nsym:$#^0 \cap #^1 \neq \varnothing$@
  reln:#0 and #1 are %e?disjoint%ee?@
  negn:#0 and #1 are not disjoint@
  plur:%#0% are disjoint from #1@
  nplu:%#0% are not disjoint from #1@@
""")

#Neighborhood
thingSimp('NBHD','4','neighborhood','of #1 in $(#^2,#^3)$')

#Limit point
thingSimp('LIMITPT','4','limit point','of #1 in $(#^2,#^3)$')

#Topological convergence
verbatim(
r"""TOPCONV:3@
  reln:#0 %e?converges to%ee? #1 under #2@
  negn:#0 does not converge to #1 under #2@
  plur:%#0% converge to #1 under #2@
  nplu:%#0% do not converge to #1 under #2@@
""")

#Hausdorff
thing('HAUSDORFF','2','$(#^0,#^1)$','','Hausdorff space','')

#Topological limit
thingSimp('TOPLIMIT','3','limit','of #1')



















